package com.unis.base.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.base.common.vo.DRyxxsjyVO;
import com.unis.base.server.entity.DRyxxsjyDO;

import tk.mybatis.mapper.common.Mapper;

/**
 * 
 * @ClassName: DRyxxsjyDao 
 * @Description: DRyxxsjyDao 
 * @author huangxing
 * @date 2019年7月22日 下午5:22:22 
 * 
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DRyxxsjyDao extends Mapper<DRyxxsjyDO> {

	/**
	 * 根据信息获取人员列表
	 * @param dRyxxsjyDO
	 * @return
	 */
	List<DRyxxsjyVO> getDRyxxsjyList(DRyxxsjyDO dRyxxsjyDO);

	/**
	 * 获取人员信息
	 * @param cfbh
	 * @return
	 */
	DRyxxsjyDO getDRyxxsjyInfo(@Param("rybh")String rybh);

	/**
	 * 根据人员编号获取人员信息-任何状态
	 * @param rybh
	 * @return
	 */
	DRyxxsjyDO getPersonnelInfo(@Param("rybh")String rybh);

	/**
	 * 更新人员信息
	 * @param dRyxxsjyDO
	 * @return
	 */
	int update(DRyxxsjyDO dRyxxsjyDO);

	/**
	 * 获取最大人员编号
	 * @return
	 */
	String getMaxCodeById();

	/**
	 * 获取最大设备编号
	 * @return
	 */
	String getMaxById(@Param("prefix")String prefix);
	
	/**
	 * 添加人员信息
	 * @return
	 */
	int insert(DRyxxsjyDO dRyxxsjyDO);

	/**
	 * 根据库点代码删除人员列表
	 * @param kddm
	 * @return
	 */
    int deleteList(String kddm);

	/**
	 * 根据库点代码获取人员列表
	 * @param kddm
	 * @return
	 */
	List<DRyxxsjyVO> getPersonnelListByKddm(String kddm);

	/**
	 * 备案主表状态
	 * @param dRyxxsjyVO
	 * @return
	 */
	int updateFiling(DRyxxsjyVO dRyxxsjyVO);

	/**
	 * 更改启用状态
	 * @param dRyxxsjyVO
	 * @return
	 */
	int updateEnabled(DRyxxsjyVO dRyxxsjyVO);

	/**
	 * @param kddm
	 * @return
	 */
	List<DRyxxsjyVO> personnelZHListByKddm(String kddm);
}
